2 Replies Latest reply: Oct 11, 2012 3:22 AM by AnaMusic
foxski67 Level 1 Level 1 (0 points)

my imac is on version 10.5.8. Apparently I need OsX 10.6.8 or later to download Itunes 10.7 to be able to sync my new iphone! Do I have to pay upgrade to 10.6  and then pay again to upgrade to 10.7, or can i jump straight to 10.7?


iMac, Mac OS X (10.5.8)